GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtGpuPlatform Class Reference
GTPin: GEN Architecture

GPU platform. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
constexpr | GtGpuPlatform (GPU_PLATFORM v=GPU_PLATFORM_INVALID)
| Conversion constructor.
constexpr | operator GPU_PLATFORM () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for a valid platform.
constexpr bool | IsCompute () const
| Return true for a compute platform.
const char * | ToString () const
| Return string representation.

## Detailed Description

GPU platform.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT